classification
Title: operator.{isCallable,sequenceIncludes} needs a fixer
Type: behavior Stage: resolved
Components: 2to3 (2.x to 3.x conversion tool), Extension Modules Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: alexandre.vassalotti, benjamin.peterson, brett.cannon, collinwinter, jeff.balogh
Priority: critical Keywords: 26backport, needs review, patch

Created on 2008-03-17 20:04 by brett.cannon, last changed 2009-07-05 04:44 by alexandre.vassalotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue2370.diff jeff.balogh, 2008-05-07 05:04 diff against r62812 (2to3 fixer)
operator-warnings.diff jeff.balogh, 2008-05-07 05:24 diff against r62812 (trunk deprecation warnings)
Messages (11)
msg63751 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 20:04
A fixer for operator.{isCallable,sequenceIncludes} similar to the one
for callable() is needed.
msg63944 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-18 17:03
I'll get this one.
msg63974 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-18 19:39
Attaching a patch that operator.{isCallable,sequenceIncludes}, 
including tests.
msg64128 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-20 00:01
Attaching a revised patch that has a ``warnsunchanged`` test case.
msg64173 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-20 16:00
Attaching a patch that adds deprecation warnings in trunk.
msg66345 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2008-05-06 23:30
I believe you forgot to add fix_operator.py to this patch.
msg66351 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-05-07 05:04
doh!  Attaching a new patch that actually contains a fixer.
msg66352 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-05-07 05:24
Updating the deprecation warnings patch to use PyErr_WarnPy3k and apply
correctly against current trunk.
msg70475 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-31 02:09
Collin, can you review?
msg71956 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-25 21:10
The py3k warnings look good to me.
msg90142 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-07-05 04:44
Committed the warning patch in r73846 (with a minor correction in
r73847), the 2to3 fixer in r73849.

Thanks!
History
Date User Action Args
2009-07-05 04:44:09alexandre.vassalottisetstatus: open -> closed

assignee: collinwinter ->

nosy: + alexandre.vassalotti
messages: + msg90142
resolution: accepted
stage: resolved
2008-08-25 21:10:18benjamin.petersonsetkeywords: + needs review
messages: + msg71956
2008-07-31 02:09:18benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg70475
2008-05-07 05:24:59jeff.baloghsetfiles: + operator-warnings.diff
messages: + msg66352
2008-05-07 05:22:55jeff.baloghsetfiles: - operator-warnings.diff
2008-05-07 05:04:24jeff.baloghsetfiles: + issue2370.diff
messages: + msg66351
2008-05-07 05:01:40jeff.baloghsetfiles: - issue2370.diff
2008-05-06 23:32:52collinwintersetcomponents: - Build, Demos and Tools, Distutils, Documentation, IDLE, Installation, Interpreter Core, Library (Lib), macOS, Regular Expressions, Tests, Tkinter, Unicode, Windows, XML, Documentation tools (Sphinx), ctypes
2008-05-06 23:30:15collinwintersetmessages: + msg66345
components: + Build, Demos and Tools, Distutils, Documentation, Extension Modules, IDLE, Installation, Interpreter Core, Library (Lib), macOS, Regular Expressions, Tests, Tkinter, Unicode, Windows, XML, Documentation tools (Sphinx), ctypes
2008-03-20 16:00:15jeff.baloghsetfiles: + operator-warnings.diff
messages: + msg64173
2008-03-20 00:01:31jeff.baloghsetfiles: - issue2370.diff
2008-03-20 00:01:23jeff.baloghsetfiles: + issue2370.diff
messages: + msg64128
2008-03-18 19:39:31jeff.baloghsetfiles: + issue2370.diff
keywords: + patch
messages: + msg63974
2008-03-18 17:03:16jeff.baloghsetnosy: + jeff.balogh
messages: + msg63944
2008-03-17 20:16:56brett.cannonsetpriority: release blocker -> critical
2008-03-17 20:04:32brett.cannoncreate